Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1197495 - package Clutter with fix for actor destruction
Summary: package Clutter with fix for actor destruction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clutter
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 19:10 UTC by Daniel Stone
Modified: 2015-03-13 17:07 UTC (History)
6 users (show)

Fixed In Version: atk-2.15.91-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:07:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 743865 0 None None None Never

Description Daniel Stone 2015-03-01 19:10:27 UTC
Per https://bugzilla.gnome.org/show_bug.cgi?id=743865 - every time I close a window in the GNOME Shell Wayland session under F22, Mutter crashes. The patch above is supposed to fix this; would be great if it could be packaged.

Comment 1 Kalev Lember 2015-03-03 20:20:26 UTC
The fix is included in clutter 1.21.6 release.

Comment 2 Fedora Update System 2015-03-06 09:23:18 UTC
appstream-data-22-5.fc22,atk-2.15.91-1.fc22,bijiben-3.15.91-1.fc22,clutter-1.21.6-1.fc22,control-center-3.15.91-1.fc22,dconf-0.23.1-1.fc22,dconf-editor-3.15.91-3.fc22,devhelp-3.15.91-1.fc22,empathy-3.12.7-2.fc22,epiphany-3.15.90-4.fc22,evolution-3.15.91-1.fc22,evolution-data-server-3.15.91-1.fc22,evolution-ews-3.15.91-1.fc22,evolution-mapi-3.15.91-1.fc22,file-roller-3.15.91-1.fc22,five-or-more-3.15.91-1.fc22,gedit-3.15.91-1.fc22,glib-networking-2.43.91-1.fc22,glib2-2.43.91-1.fc22,glibmm24-2.43.90-1.fc22,gnome-backgrounds-3.15.91-1.fc22,gnome-boxes-3.15.91-1.fc22,gnome-calculator-3.15.91-1.fc22,gnome-calendar-3.15.91-1.fc22,gnome-chess-3.15.91-1.fc22,gnome-color-manager-3.15.91-1.fc22,gnome-contacts-3.15.91-1.fc22,gnome-desktop3-3.15.91-1.fc22,gnome-dictionary-3.15.91-1.fc22,gnome-initial-setup-3.15.91.1-1.fc22,gnome-logs-3.15.91-1.fc22,gnome-maps-3.15.91-1.fc22,gnome-mines-3.15.91-1.fc22,gnome-multi-writer-3.15.91-1.fc22,gnome-music-3.15.91-1.fc22,gnome-nibbles-3.15.91.1-1.fc22,gnome-online-accounts-3.15.91-1.fc22,gnome-packagekit-3.15.91-1.fc22,gnome-power-manager-3.15.91-1.fc22,gnome-robots-3.15.91-1.fc22,gnome-settings-daemon-3.15.91-1.fc22,gnome-shell-3.15.91-1.fc22,gnome-shell-extension-background-logo-3.15.91-1.fc22,gnome-shell-extensions-3.15.91-2.fc22,gnome-software-3.15.91-1.fc22,gnome-sound-recorder-3.15.91-1.fc22,gnome-sudoku-3.15.91-1.fc22,gnome-system-monitor-3.15.91-1.fc22,gnome-taquin-3.15.91.1-1.fc22,gnome-user-docs-3.15.91-1.fc22,gnome-weather-3.15.91-1.fc22,gobject-introspection-1.43.91-1.fc22,gtk2-2.24.27-1.fc22,gtk3-3.15.10-1.fc22,gtkmm30-3.15.9-1.fc22,gtksourceview3-3.15.91-1.fc22,hitori-3.14.3-1.fc22,iagno-3.15.91-1.fc22,libgweather-3.15.91-1.fc22,libsigc++20-2.4.1-1.fc22,libsoup-2.49.91.1-1.fc22,libxml++-2.38.0-1.fc22,lightsoff-3.15.91-1.fc22,mutter-3.15.91-1.fc22,orca-3.15.91-1.fc22,polari-3.15.91-1.fc22,pygobject3-3.15.91-1.fc22,simple-scan-3.15.91-1.fc22,sound-juicer-3.15.91-1.fc22,swell-foop-3.15.91-1.fc22,totem-3.15.91-1.fc22,tracker-1.3.4-2.fc22,vinagre-3.15.91-1.fc22,vino-3.15.91-1.fc22,webkitgtk3-2.4.8-4.fc22,webkitgtk4-2.7.91-2.fc22,yelp-3.15.91-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/appstream-data-22-5.fc22,atk-2.15.91-1.fc22,bijiben-3.15.91-1.fc22,clutter-1.21.6-1.fc22,control-center-3.15.91-1.fc22,dconf-0.23.1-1.fc22,dconf-editor-3.15.91-3.fc22,devhelp-3.15.91-1.fc22,empathy-3.12.7-2.fc22,epiphany-3.15.90-4.fc22,evolution-3.15.91-1.fc22,evolution-data-server-3.15.91-1.fc22,evolution-ews-3.15.91-1.fc22,evolution-mapi-3.15.91-1.fc22,file-roller-3.15.91-1.fc22,five-or-more-3.15.91-1.fc22,gedit-3.15.91-1.fc22,glib-networking-2.43.91-1.fc22,glib2-2.43.91-1.fc22,glibmm24-2.43.90-1.fc22,gnome-backgrounds-3.15.91-1.fc22,gnome-boxes-3.15.91-1.fc22,gnome-calculator-3.15.91-1.fc22,gnome-calendar-3.15.91-1.fc22,gnome-chess-3.15.91-1.fc22,gnome-color-manager-3.15.91-1.fc22,gnome-contacts-3.15.91-1.fc22,gnome-desktop3-3.15.91-1.fc22,gnome-dictionary-3.15.91-1.fc22,gnome-initial-setup-3.15.91.1-1.fc22,gnome-logs-3.15.91-1.fc22,gnome-maps-3.15.91-1.fc22,gnome-mines-3.15.91-1.fc22,gnome-multi-writer-3.15.91-1.fc22,gnome-music-3.15.91-1.fc22,gnome-nibbles-3.15.91.1-1.fc22,gnome-online-accounts-3.15.91-1.fc22,gnome-packagekit-3.15.91-1.fc22,gnome-power-manager-3.15.91-1.fc22,gnome-robots-3.15.91-1.fc22,gnome-settings-daemon-3.15.91-1.fc22,gnome-shell-3.15.91-1.fc22,gnome-shell-extension-background-logo-3.15.91-1.fc22,gnome-shell-extensions-3.15.91-2.fc22,gnome-software-3.15.91-1.fc22,gnome-sound-recorder-3.15.91-1.fc22,gnome-sudoku-3.15.91-1.fc22,gnome-system-monitor-3.15.91-1.fc22,gnome-taquin-3.15.91.1-1.fc22,gnome-user-docs-3.15.91-1.fc22,gnome-weather-3.15.91-1.fc22,gobject-introspection-1.43.91-1.fc22,gtk2-2.24.27-1.fc22,gtk3-3.15.10-1.fc22,gtkmm30-3.15.9-1.fc22,gtksourceview3-3.15.91-1.fc22,hitori-3.14.3-1.fc22,iagno-3.15.91-1.fc22,libgweather-3.15.91-1.fc22,libsigc++20-2.4.1-1.fc22,libsoup-2.49.91.1-1.fc22,libxml++-2.38.0-1.fc22,lightsoff-3.15.91-1.fc22,mutter-3.15.91-1.fc22,orca-3.15.91-1.fc22,polari-3.15.91-1.fc22,pygobject3-3.15.91-1.fc22,simple-scan-3.15.91-1.fc22,sound-juicer-3.15.91-1.fc22,swell-foop-3.15.91-1.fc22,totem-3.15.91-1.fc22,tracker-1.3.4-2.fc22,vinagre-3.15.91-1.fc22,vino-3.15.91-1.fc22,webkitgtk3-2.4.8-4.fc22,webkitgtk4-2.7.91-2.fc22,yelp-3.15.91-1.fc22

Comment 3 Fedora Update System 2015-03-09 08:20:29 UTC
Package atk-2.15.91-1.fc22, clutter-1.21.6-1.fc22, dconf-0.23.1-1.fc22, devhelp-3.15.91-1.fc22, epiphany-3.15.90-4.fc22, evolution-data-server-3.15.91-1.fc22, evolution-mapi-3.15.91-1.fc22, appstream-data-22-5.fc22, bijiben-3.15.91-1.fc22, control-center-3.15.91-1.fc22, dconf-editor-3.15.91-3.fc22, evolution-3.15.91-1.fc22, evolution-ews-3.15.91-1.fc22, file-roller-3.15.91-1.fc22, gedit-3.15.91-1.fc22, glib2-2.43.91-1.fc22, gnome-backgrounds-3.15.91-1.fc22, gnome-calculator-3.15.91-1.fc22, gnome-chess-3.15.91-1.fc22, gnome-contacts-3.15.91-1.fc22, gnome-dictionary-3.15.91-1.fc22, gnome-logs-3.15.91-1.fc22, gnome-mines-3.15.91-1.fc22, gnome-music-3.15.91-1.fc22, gnome-online-accounts-3.15.91-1.fc22, gnome-power-manager-3.15.91-1.fc22, gnome-settings-daemon-3.15.91-1.fc22, gnome-shell-extension-background-logo-3.15.91-1.fc22, glibmm24-2.43.91-1.fc22, empathy-3.12.7-3.fc22, tracker-1.3.5-1.fc22, gdk-pixbuf2-2.31.3-1.fc22, gnome-documents-3.15.91-1.fc22, gnote-3.15.1-1.fc22, gnome-session-3.15.90-2.fc22, five-or-more-3.15.91-1.fc22, glib-networking-2.43.91-1.fc22, gnome-boxes-3.15.91-1.fc22, gnome-calendar-3.15.91-1.fc22, gnome-color-manager-3.15.91-1.fc22, gnome-desktop3-3.15.91-1.fc22, gnome-initial-setup-3.15.91.1-1.fc22, gnome-maps-3.15.91-1.fc22, gnome-multi-writer-3.15.91-1.fc22, gnome-nibbles-3.15.91.1-1.fc22, gnome-packagekit-3.15.91-1.fc22, gnome-robots-3.15.91-1.fc22, gnome-shell-3.15.91-1.fc22, gnome-shell-extensions-3.15.91-2.fc22, gnome-sound-recorder-3.15.91-1.fc22, gnome-system-monitor-3.15.91-1.fc22, gnome-user-docs-3.15.91-1.fc22, gobject-introspection-1.43.91-1.fc22, gtk3-3.15.10-1.fc22, gtksourceview3-3.15.91-1.fc22, iagno-3.15.91-1.fc22, libsigc++20-2.4.1-1.fc22, libxml++-2.38.0-1.fc22, mutter-3.15.91-1.fc22, polari-3.15.91-1.fc22, simple-scan-3.15.91-1.fc22, swell-foop-3.15.91-1.fc22, vino-3.15.91-1.fc22, webkitgtk4-2.7.91-2.fc22, gtkmm30-3.15.10-1.fc22, gnome-software-3.15.91-1.fc22, gnome-sudoku-3.15.91-1.fc22, gnome-taquin-3.15.91.1-1.fc22, gnome-weather-3.15.91-1.fc22, gtk2-2.24.27-1.fc22, hitori-3.14.3-1.fc22, libgweather-3.15.91-1.fc22, libsoup-2.49.91.1-1.fc22, lightsoff-3.15.91-1.fc22, orca-3.15.91-1.fc22, pygobject3-3.15.91-1.fc22, sound-juicer-3.15.91-1.fc22, totem-3.15.91-1.fc22, vinagre-3.15.91-1.fc22, webkitgtk3-2.4.8-4.fc22, yelp-3.15.91-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing atk-2.15.91-1.fc22 clutter-1.21.6-1.fc22 dconf-0.23.1-1.fc22 devhelp-3.15.91-1.fc22 epiphany-3.15.90-4.fc22 evolution-data-server-3.15.91-1.fc22 evolution-mapi-3.15.91-1.fc22 appstream-data-22-5.fc22 bijiben-3.15.91-1.fc22 control-center-3.15.91-1.fc22 dconf-editor-3.15.91-3.fc22 evolution-3.15.91-1.fc22 evolution-ews-3.15.91-1.fc22 file-roller-3.15.91-1.fc22 gedit-3.15.91-1.fc22 glib2-2.43.91-1.fc22 gnome-backgrounds-3.15.91-1.fc22 gnome-calculator-3.15.91-1.fc22 gnome-chess-3.15.91-1.fc22 gnome-contacts-3.15.91-1.fc22 gnome-dictionary-3.15.91-1.fc22 gnome-logs-3.15.91-1.fc22 gnome-mines-3.15.91-1.fc22 gnome-music-3.15.91-1.fc22 gnome-online-accounts-3.15.91-1.fc22 gnome-power-manager-3.15.91-1.fc22 gnome-settings-daemon-3.15.91-1.fc22 gnome-shell-extension-background-logo-3.15.91-1.fc22 glibmm24-2.43.91-1.fc22 empathy-3.12.7-3.fc22 tracker-1.3.5-1.fc22 gdk-pixbuf2-2.31.3-1.fc22 gnome-documents-3.15.91-1.fc22 gnote-3.15.1-1.fc22 gnome-session-3.15.90-2.fc22 five-or-more-3.15.91-1.fc22 glib-networking-2.43.91-1.fc22 gnome-boxes-3.15.91-1.fc22 gnome-calendar-3.15.91-1.fc22 gnome-color-manager-3.15.91-1.fc22 gnome-desktop3-3.15.91-1.fc22 gnome-initial-setup-3.15.91.1-1.fc22 gnome-maps-3.15.91-1.fc22 gnome-multi-writer-3.15.91-1.fc22 gnome-nibbles-3.15.91.1-1.fc22 gnome-packagekit-3.15.91-1.fc22 gnome-robots-3.15.91-1.fc22 gnome-shell-3.15.91-1.fc22 gnome-shell-extensions-3.15.91-2.fc22 gnome-sound-recorder-3.15.91-1.fc22 gnome-system-monitor-3.15.91-1.fc22 gnome-user-docs-3.15.91-1.fc22 gobject-introspection-1.43.91-1.fc22 gtk3-3.15.10-1.fc22 gtksourceview3-3.15.91-1.fc22 iagno-3.15.91-1.fc22 libsigc++20-2.4.1-1.fc22 libxml++-2.38.0-1.fc22 mutter-3.15.91-1.fc22 polari-3.15.91-1.fc22 simple-scan-3.15.91-1.fc22 swell-foop-3.15.91-1.fc22 vino-3.15.91-1.fc22 webkitgtk4-2.7.91-2.fc22 gtkmm30-3.15.10-1.fc22 gnome-software-3.15.91-1.fc22 gnome-sudoku-3.15.91-1.fc22 gnome-taquin-3.15.91.1-1.fc22 gnome-weather-3.15.91-1.fc22 gtk2-2.24.27-1.fc22 hitori-3.14.3-1.fc22 libgweather-3.15.91-1.fc22 libsoup-2.49.91.1-1.fc22 lightsoff-3.15.91-1.fc22 orca-3.15.91-1.fc22 pygobject3-3.15.91-1.fc22 sound-juicer-3.15.91-1.fc22 totem-3.15.91-1.fc22 vinagre-3.15.91-1.fc22 webkitgtk3-2.4.8-4.fc22 yelp-3.15.91-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3370/appstream-data-22-5.fc22,atk-2.15.91-1.fc22,bijiben-3.15.91-1.fc22,clutter-1.21.6-1.fc22,control-center-3.15.91-1.fc22,dconf-0.23.1-1.fc22,dconf-editor-3.15.91-3.fc22,devhelp-3.15.91-1.fc22,empathy-3.12.7-3.fc22,epiphany-3.15.90-4.fc22,evolution-3.15.91-1.fc22,evolution-data-server-3.15.91-1.fc22,evolution-ews-3.15.91-1.fc22,evolution-mapi-3.15.91-1.fc22,file-roller-3.15.91-1.fc22,five-or-more-3.15.91-1.fc22,gedit-3.15.91-1.fc22,glib-networking-2.43.91-1.fc22,glib2-2.43.91-1.fc22,glibmm24-2.43.91-1.fc22,gnome-backgrounds-3.15.91-1.fc22,gnome-boxes-3.15.91-1.fc22,gnome-calculator-3.15.91-1.fc22,gnome-calendar-3.15.91-1.fc22,gnome-chess-3.15.91-1.fc22,gnome-color-manager-3.15.91-1.fc22,gnome-contacts-3.15.91-1.fc22,gnome-desktop3-3.15.91-1.fc22,gnome-dictionary-3.15.91-1.fc22,gnome-initial-setup-3.15.91.1-1.fc22,gnome-logs-3.15.91-1.fc22,gnome-maps-3.15.91-1.fc22,gnome-mines-3.15.91-1.fc22,gnome-multi-writer-3.15.91-1.fc22,gnome-music-3.15.91-1.fc22,gnome-nibbles-3.15.91.1-1.fc22,gnome-online-accounts-3.15.91-1.fc22,gnome-packagekit-3.15.91-1.fc22,gnome-power-manager-3.15.91-1.fc22,gnome-robots-3.15.91-1.fc22,gnome-settings-daemon-3.15.91-1.fc22,gnome-shell-3.15.91-1.fc22,gnome-shell-extension-background-logo-3.15.91-1.fc22,gnome-shell-extensions-3.15.91-2.fc22,gnome-software-3.15.91-1.fc22,gnome-sound-recorder-3.15.91-1.fc22,gnome-sudoku-3.15.91-1.fc22,gnome-system-monitor-3.15.91-1.fc22,gnome-taquin-3.15.91.1-1.fc22,gnome-user-docs-3.15.91-1.fc22,gnome-weather-3.15.91-1.fc22,gobject-introspection-1.43.91-1.fc22,gtk2-2.24.27-1.fc22,gtk3-3.15.10-1.fc22,gtkmm30-3.15.10-1.fc22,gtksourceview3-3.15.91-1.fc22,hitori-3.14.3-1.fc22,iagno-3.15.91-1.fc22,libgweather-3.15.91-1.fc22,libsigc++20-2.4.1-1.fc22,libsoup-2.49.91.1-1.fc22,libxml++-2.38.0-1.fc22,lightsoff-3.15.91-1.fc22,mutter-3.15.91-1.fc22,orca-3.15.91-1.fc22,polari-3.15.91-1.fc22,pygobject3-3.15.91-1.fc22,simple-scan-3.15.91-1.fc22,sound-juicer-3.15.91-1.fc22,swell-foop-3.15.91-1.fc22,totem-3.15.91-1.fc22,vinagre-3.15.91-1.fc22,vino-3.15.91-1.fc22,webkitgtk3-2.4.8-4.fc22,webkitgtk4-2.7.91-2.fc22,yelp-3.15.91-1.fc22,tracker-1.3.5-1.fc22,gdk-pixbuf2-2.31.3-1.fc22,gnome-documents-3.15.91-1.fc22,gnote-3.15.1-1.fc22,gnome-session-3.15.90-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-13 17:07:46 UTC
atk-2.15.91-1.fc22, clutter-1.21.6-1.fc22, dconf-0.23.1-1.fc22, devhelp-3.15.91-1.fc22, epiphany-3.15.90-4.fc22, evolution-data-server-3.15.91-1.fc22, evolution-mapi-3.15.91-1.fc22, appstream-data-22-5.fc22, bijiben-3.15.91-1.fc22, control-center-3.15.91-1.fc22, dconf-editor-3.15.91-3.fc22, evolution-3.15.91-1.fc22, evolution-ews-3.15.91-1.fc22, file-roller-3.15.91-1.fc22, gedit-3.15.91-1.fc22, glib2-2.43.91-1.fc22, gnome-backgrounds-3.15.91-1.fc22, gnome-calculator-3.15.91-1.fc22, gnome-chess-3.15.91-1.fc22, gnome-contacts-3.15.91-1.fc22, gnome-dictionary-3.15.91-1.fc22, gnome-logs-3.15.91-1.fc22, gnome-mines-3.15.91-1.fc22, gnome-music-3.15.91-1.fc22, gnome-online-accounts-3.15.91-1.fc22, gnome-power-manager-3.15.91-1.fc22, gnome-settings-daemon-3.15.91-1.fc22, gnome-shell-extension-background-logo-3.15.91-1.fc22, glibmm24-2.43.91-1.fc22, empathy-3.12.7-3.fc22, tracker-1.3.5-1.fc22, gdk-pixbuf2-2.31.3-1.fc22, gnome-documents-3.15.91-1.fc22, gnote-3.15.1-1.fc22, gnome-session-3.15.90-2.fc22, five-or-more-3.15.91-1.fc22, glib-networking-2.43.91-1.fc22, gnome-boxes-3.15.91-1.fc22, gnome-calendar-3.15.91-1.fc22, gnome-color-manager-3.15.91-1.fc22, gnome-desktop3-3.15.91-1.fc22, gnome-initial-setup-3.15.91.1-1.fc22, gnome-maps-3.15.91-1.fc22, gnome-multi-writer-3.15.91-1.fc22, gnome-nibbles-3.15.91.1-1.fc22, gnome-packagekit-3.15.91-1.fc22, gnome-robots-3.15.91-1.fc22, gnome-shell-3.15.91-1.fc22, gnome-shell-extensions-3.15.91-2.fc22, gnome-sound-recorder-3.15.91-1.fc22, gnome-system-monitor-3.15.91-1.fc22, gnome-user-docs-3.15.91-1.fc22, gobject-introspection-1.43.91-1.fc22, gtk3-3.15.10-1.fc22, gtksourceview3-3.15.91-1.fc22, iagno-3.15.91-1.fc22, libsigc++20-2.4.1-1.fc22, libxml++-2.38.0-1.fc22, mutter-3.15.91-1.fc22, polari-3.15.91-1.fc22, simple-scan-3.15.91-1.fc22, swell-foop-3.15.91-1.fc22, vino-3.15.91-1.fc22, webkitgtk4-2.7.91-2.fc22, gtkmm30-3.15.10-1.fc22, gnome-software-3.15.91-1.fc22, gnome-sudoku-3.15.91-1.fc22, gnome-taquin-3.15.91.1-1.fc22, gnome-weather-3.15.91-1.fc22, gtk2-2.24.27-1.fc22, hitori-3.14.3-1.fc22, libgweather-3.15.91-1.fc22, libsoup-2.49.91.1-1.fc22, lightsoff-3.15.91-1.fc22, orca-3.15.91-1.fc22, pygobject3-3.15.91-1.fc22, sound-juicer-3.15.91-1.fc22, totem-3.15.91-1.fc22, vinagre-3.15.91-1.fc22, webkitgtk3-2.4.8-4.fc22, yelp-3.15.91-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.